/*****************************************************************************************
 *
 * Part of "Go to menu"
 * Copyright (c) 2006 NuukiaWorld
 *
 *  "Go to menu" is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  Version    Date          Author             Log
 *  --------------------------------------------------------------------------------------
 *  1.00       19.02.2006    NuukiaWorld        Initial Release
 *  1.01       23.02.2006    NuukiaWorld        Hooking now to set_action()
 *  1.02       26.02.2006    NuukiaWorld        Minor speed+size optimization
 *
 ****************************************************************************************/

.global hook_set_action
.global compare_action        @ used insert action_menu_names in the cmp command
.global move_confid           @ used insert confid_main in the mov command
.global hook_set_action_code

hook_set_action:
push  {r1, lr}
compare_action:
cmp   r0, #0                  @ trying to activate action_menu_names?
bne   end                     @ no, skip
mov   r1, r0
move_confid:
mov   r0, #0                  @ confid_main
bl    own_get_config
cmp	r0, #0
beq   skip                    @ Go to menu not enabled, skip
ldr   r1, _action_menu_goto   @ replace with action_menu_goto
skip:
mov   r0, r1
end:
pop   {r1}

hook_set_action_code:
nop
nop
pop   {pc}

.align
_action_menu_goto:
.long action_menu_goto

